## org.apache.axis.encoding
Class DefaultSOAP12TypeMappingImpl

    java.lang.Object
      org.apache.axis.encoding.TypeMappingImpl
          org.apache.axis.encoding.DefaultTypeMappingImpl
              org.apache.axis.encoding.DefaultSOAPEncodingTypeMappingImpl
                  org.apache.axis.encoding.DefaultSOAP12TypeMappingImpl

All Implemented Interfaces:
  java.io.Serializable

Deprecated. Please use DefaultSOAPEncodingTypeMappingImpl.java

public class DefaultSOAP12TypeMappingImpl
extends DefaultSOAPEncodingTypeMappingImpl

Author:
  James M Snell <jasnell@us.ibm.com>
See Also:
  `DefaultSOAPEncodingTypeMappingImpl`, Serialized Form

Nested Class Summary

Nested classes inherited from class org.apache.axis.encoding.TypeMappingImpl
`TypeMappingImpl.Pair`

Field Summary

Fields inherited from class org.apache.axis.encoding.TypeMappingImpl
`doAutoTypes, dotnet_soapenc_bugfix, log`

Constructor Summary
`DefaultSOAP12TypeMappingImpl()` Deprecated.

Methods inherited from class org.apache.axis.encoding.DefaultSOAPEncodingTypeMappingImpl
`createWithDelegate, getSingleton`

Methods inherited from class org.apache.axis.encoding.DefaultTypeMappingImpl
`getSingletonDelegate, initMappings, myRegister, myRegisterSimple, register, removeDeserializer, removeSerializer, setSupportedEncodings`

Methods inherited from class org.apache.axis.encoding.TypeMappingImpl
`finalGetDeserializer, finalGetSerializer, getAllClasses, getClassForQName, getDeserializer, getSerializer, getSupportedEncodings, getTypeQName, getTypeQNameExact, getTypeQNameRecursive, getXMLType, internalRegister, isRegistered, setDoAutoTypes, shouldDoAutoTypes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultSOAP12TypeMappingImpl

    public DefaultSOAP12TypeMappingImpl()

  Deprecated.

Copyright © 2005 Apache Web Services Project. All Rights Reserved.